#!/bin/sh
#
# /////////////////////////////////////////////////////////////////////////////
# //                   PROPRIETARY RIGHTS STATEMENT
# // The contents of this file represent confidential information that is the
# // proprietary property of SilverStream Software, Inc.  Viewing or use of
# // this information is prohibited without the express written consent of
# // SilverStream Software, LLC. Removal of this PROPRIETARY RIGHTS STATEMENT
# // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
# /////////////////////////////////////////////////////////////////////////////

# --
# --  exteNd Composer Patch utility
# --

echo "Please make sure Composer Server is not running if patching Server."
echo "Please make sure Composer Designer and Director is not running if patching Designer."
echo "Note: java must be in your path."
echo "Press <Enter> to continue ..."; read x

# relative locations of target jar files (order of test below can be affected by these)
designerJarLoc=../../../Common/lib
serverJarLoc=../../Composer/lib

# --
# -- patch SSSW jar in place
# --

if [ -d $serverJarLoc ]
then
   # Do Server patch
   echo "Applying Server patch..."
   sh ./xcPatch.sh $serverJarLoc xcs-all.jar xcPatch52s.zip xcs-all-pre1279H.jar
   cp xc-iway.jar $serverJarLoc/xc-iway.jar
   echo "Done"
elif [ -d $designerJarLoc ]
then
   # Do Designer patch
   echo "Applying Designer patch..."
   sh ./xcPatch.sh $designerJarLoc xcd-all.jar xcPatch52d.zip xcd-all-pre1279H.jar
   cp xc-iway.jar ../lib/xc-iway.jar
   echo "Done"
else
   # patch files probably in wrong place.
   echo "Patch not applied, unable to find Composer jar(s). Please consult readme52.txt for instructions on applying this patch."
fi

